Index: stime.c
===================================================================
RCS file: /cvsroot/guile/guile/guile-core/libguile/stime.c,v
retrieving revision 1.88
diff -u -r1.88 stime.c
--- stime.c	27 Apr 2004 22:43:28 -0000	1.88
+++ stime.c	2 May 2004 14:36:59 -0000
@@ -633,6 +633,12 @@
 	have_zone = 1;
 	SCM_DEFER_INTS;
 	oldenv = setzone (zone, SCM_ARG2, FUNC_NAME);
+
+	/* On HP-UX, the conversion specifier %Z may produce an empty time
+	   zone abbreviation unless mktime() is called to fix tm_isdst. */
+# if defined(__hpux)
+	mktime (&t);
+# endif
       }
 #endif
 
